COMBAT_LOG_EVENT_UNFILTERED
function(...)
	DavesFuckerySpellsCast = {}
	local subevent = select(3, ...)
	local caster = --GET CASTER FROM INGAME EVENT
	local function addSpell(spellname)
	if #DavesFuckerySpellsCast == aura_env.maxspells then
			table.remove(DavesFuckerySpellsCast, 1)
			table.insert(DavesFuckerySpellsCast, spellname)
		else
			table.insert(DavesFuckerySpellsCast,spellname)	
		end
	end
	if aura_env.casterName ~= "" then
		if subevent == "SPELL_CAST_SUCCESS" and caster == aura_env.casterName then
			local spellname = --GET SPELL NAME FROM INGAME EVENT
			addSpell(spellname)
		end
	else
		if subevent == "SPELL_CAST_SUCCESS" and caster == UnitName(aura_env.casterID) then
			local spellname = --GET SPELL NAME FROM INGAME EVENT
			addSpell(spellname)
		end
	end
end

INIT
aura_env.maxspells = 5
aura_env.casterID = "player"
aura_env.casterName = ""